package simplebean;

import java.io.Serializable;
import java.math.BigDecimal;

public class SimpleAccountBean implements Serializable {

    private BigDecimal balance;
    private String customerName;

    public SimpleAccountBean() {
        BigDecimal balance = new BigDecimal("0.00");
        String customerName = null;
    }


    public BigDecimal getBalance() {
        return balance;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setBalance(BigDecimal balance) {
        System.out.println("SimpleAccountBean: setting balance to " 
            + balance);
        this.balance = balance;
    }

    public void setCustomerName(String customerName) {
        System.out.println("SimpleAccountBean: setting customerName to " 
            + customerName);
        this.customerName = customerName;
    }
}
